summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm/istio/bookinfo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/vagrant/kubeadm/istio/bookinfo.sh')
-rwxr-xr-xsrc/vagrant/kubeadm/istio/bookinfo.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/vagrant/kubeadm/istio/bookinfo.sh b/src/vagrant/kubeadm/istio/bookinfo.sh
new file mode 100755
index 0000000..c4eef11
--- /dev/null
+++ b/src/vagrant/kubeadm/istio/bookinfo.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Copyright (c) 2018 Huawei Technologies Canada Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+cd /vagrant/istio-source/
+export PATH=$PWD/bin:$PATH
+
+# Run the test application: bookinfo
+kubectl apply -f <(istioctl kube-inject -f samples/bookinfo/platform/kube/bookinfo.yaml)
+
+# Define the ingress gateway for the application
+kubectl apply -f samples/bookinfo/networking/bookinfo-gateway.yaml
+
+# Wait for bookinfo deployed
+kubectl get services
+kubectl get pods
+
+r="0"
+while [ $r -ne "6" ]
+do
+ sleep 30
+ kubectl get pods
+ r=$(kubectl get pods | grep Running | wc -l)
+done
+
+# Validate the bookinfo app
+export GATEWAY_URL=$(kubectl get po -l istio=ingressgateway -n istio-system -o 'jsonpath={.items[0].status.hostIP}'):$(kubectl get svc istio-ingressgateway -n istio-system -o 'jsonpath={.spec.ports[0].nodePort}')
+curl -o /dev/null -s -w "%{http_code}\n" http://${GATEWAY_URL}/productpage
+